> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billingorgv1erp invoices

> Mixin for viewsets that provides a queryset based on a model class.



## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/erp-invoices
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/erp-invoices:
    get:
      tags:
        - erp-invoices
      description: Mixin for viewsets that provides a queryset based on a model class.
      operationId: v1_erp_invoices_list
      parameters:
        - in: query
          name: billing_period_from__from
          schema:
            type: string
            format: date
          description: Billing period from (inclusive)
        - in: query
          name: billing_period_to__to
          schema:
            type: string
            format: date
          description: Billing period to (inclusive)
        - in: query
          name: client_id
          schema:
            type: number
          description: Filter by client ID
        - in: query
          name: currency
          schema:
            type: string
          description: Filter by currency code
        - in: query
          name: invoice_date__from
          schema:
            type: string
            format: date
          description: Invoice date from (inclusive)
        - in: query
          name: invoice_date__to
          schema:
            type: string
            format: date
          description: Invoice date to (inclusive)
        - name: limit
          required: false
          in: query
          description: Number of results to return per page. Maximum is `100`.
          schema:
            type: integer
        - in: query
          name: move_type
          schema:
            type: string
            x-spec-enum-id: 1f888e9de3fc9980
            enum:
              - out_invoice
              - out_refund
          description: |-
            Filter by move type: `out_invoice` or `out_refund`

            - `out_invoice` - `out_invoice`
            - `out_refund` - `out_refund`
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: ordering
          schema:
            type: array
            items:
              type: string
              enum:
                - '-amount_total'
                - '-created_at'
                - '-id'
                - '-invoice_date'
                - '-name'
                - amount_total
                - created_at
                - id
                - invoice_date
                - name
          description: >-
            Ordering of the results.


            Default sort order is ascending. Put `-` before value for descending
            sort order: `-id`.


            For sorting by multiple parameters write them as comma separated
            string: `-client_id,id`.



            - `id` - Id

            - `-id` - Id (descending)

            - `invoice_date` - Invoice date

            - `-invoice_date` - Invoice date (descending)

            - `amount_total` - Amount total

            - `-amount_total` - Amount total (descending)

            - `created_at` - Created at

            - `-created_at` - Created at (descending)

            - `name` - Name

            - `-name` - Name (descending)
          explode: false
          style: form
        - in: query
          name: payer_id
          schema:
            type: number
          description: Filter by payer ID
        - in: query
          name: payment_state
          schema:
            type: string
            x-spec-enum-id: 5a5e5cb5c3bd3961
            enum:
              - in_payment
              - not_paid
              - paid
              - partial
              - reversed
          description: |-
            Filter by payment state

            - `not_paid` - `not_paid`
            - `paid` - paid
            - `partial` - partial
            - `reversed` - reversed
            - `in_payment` - `in_payment`
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedErpInvoiceExternalList'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedErpInvoiceExternalList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/ErpInvoiceExternal'
    ErpInvoiceExternal:
      type: object
      description: External-facing serializer that excludes internal ERP identifiers.
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
          description: Invoice number, e.g. INV/2026/00001
        move_type:
          enum:
            - out_invoice
            - out_refund
          type: string
          description: |-
            - `out_invoice` - `out_invoice`
            - `out_refund` - `out_refund`
          x-spec-enum-id: 1f888e9de3fc9980
          readOnly: true
        currency:
          type: string
          readOnly: true
          description: 'Currency code: USD, EUR, etc.'
        invoice_date:
          type: string
          format: date
          readOnly: true
          nullable: true
        invoice_date_due:
          type: string
          format: date
          readOnly: true
          nullable: true
        billing_period_from:
          type: string
          format: date
          readOnly: true
          nullable: true
        billing_period_to:
          type: string
          format: date
          readOnly: true
          nullable: true
        amount_untaxed:
          description: Amount without tax
          type: string
          format: decimal
          pattern: ^\d{1,3}\.\d{12}$
          readOnly: true
        amount_tax:
          description: Tax amount
          type: string
          format: decimal
          pattern: ^\d{1,3}\.\d{12}$
          readOnly: true
        amount_total:
          description: Total amount with tax
          type: string
          format: decimal
          pattern: ^\d{1,3}\.\d{12}$
          readOnly: true
        payment_state:
          enum:
            - not_paid
            - paid
            - partial
            - reversed
            - in_payment
          type: string
          description: |-
            - `not_paid` - `not_paid`
            - `paid` - paid
            - `partial` - partial
            - `reversed` - reversed
            - `in_payment` - `in_payment`
          x-spec-enum-id: 5a5e5cb5c3bd3961
          readOnly: true
        client_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: ID of client in API service
          readOnly: true
        payer_id:
          type: integer
          readOnly: true
        invoice_id:
          type: integer
          nullable: true
          description: Linked billing system invoice
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - amount_tax
        - amount_total
        - amount_untaxed
        - billing_period_from
        - billing_period_to
        - client_id
        - created_at
        - currency
        - id
        - invoice_date
        - invoice_date_due
        - invoice_id
        - move_type
        - name
        - payer_id
        - payment_state
        - updated_at
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````